| Home · All Classes · All Namespaces · Modules · Functions · Files

# ContactPresences Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- ContactPresences ()
- ContactPresences (const QMap< uint, LastActivityAndStatuses > &a)
- ContactPresences & operator= (const QMap< uint, LastActivityAndStatuses > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<uint, LastActivityAndStatuses>, but needed to have a discrete type in the Qt4 type system.

Mapping returned by GetPresence and signalled by PresenceUpdate, where the keys are contacts and the values represent their presences.

## Constructor & Destructor Documentation

ContactPresences | ( |  | ) | `[inline]`

ContactPresences | ( | const QMap< uint, LastActivityAndStatuses > & | a | ) | `[inline]`

## Member Function Documentation

ContactPresences& operator= | ( | const QMap< uint, LastActivityAndStatuses > & | a | ) | `[inline]`